summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Vincent Batts2019-10-26 13:23:59 +0200
committer Willy Sudiarto Raharjo2019-10-26 13:51:56 +0200
commit70766775eeb61862102775a92c5a4a44d0514a4d (patch)
treeed5357dae902c9d6ffacb4220144fa9c416d2b13 /network
parent79884bbd26a3ee06a7fb76f5420d5b7f9a6eca98 (diff)
downloadslackbuilds-70766775eeb61862102775a92c5a4a44d0514a4d.tar.gz
network/cni-plugins: Added (Container Networking Interface).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/cni-plugins/README39
-rw-r--r--network/cni-plugins/cni-plugins.SlackBuild108
-rw-r--r--network/cni-plugins/cni-plugins.info10
-rw-r--r--network/cni-plugins/slack-desc18
4 files changed, 175 insertions, 0 deletions
diff --git a/network/cni-plugins/README b/network/cni-plugins/README
new file mode 100644
index 0000000000..c87a41ecea
--- /dev/null
+++ b/network/cni-plugins/README
@@ -0,0 +1,39 @@
+CNI plugins
+
+Some CNI network plugins, maintained by the containernetworking team. For more information, see the individual READMEs.
+
+Read CONTRIBUTING for build and test instructions.
+Plugins supplied:
+Main: interface-creating
+
+ bridge: Creates a bridge, adds the host and the container to it.
+ ipvlan: Adds an ipvlan interface in the container.
+ loopback: Set the state of loopback interface to up.
+ macvlan: Creates a new MAC address, forwards all traffic to that to the container.
+ ptp: Creates a veth pair.
+ vlan: Allocates a vlan device.
+ host-device: Move an already-existing device into a container.
+
+Windows: windows specific
+
+ win-bridge: Creates a bridge, adds the host and the container to it.
+ win-overlay: Creates an overlay interface to the container.
+
+IPAM: IP address allocation
+
+ dhcp: Runs a daemon on the host to make DHCP requests on behalf of the container
+ host-local: Maintains a local database of allocated IPs
+ static: Allocate a static IPv4/IPv6 addresses to container and it's useful in debugging purpose.
+
+Meta: other plugins
+
+ flannel: Generates an interface corresponding to a flannel config file
+ tuning: Tweaks sysctl parameters of an existing interface
+ portmap: An iptables-based portmapping plugin. Maps ports from the host's address space to the container.
+ bandwidth: Allows bandwidth-limiting through use of traffic control tbf (ingress/egress).
+ sbr: A plugin that configures source based routing for an interface (from which it is chained).
+ firewall: A firewall plugin which uses iptables or firewalld to add rules to allow traffic to/from the container.
+
+Sample
+
+The sample plugin provides an example for building your own plugin.
diff --git a/network/cni-plugins/cni-plugins.SlackBuild b/network/cni-plugins/cni-plugins.SlackBuild
new file mode 100644
index 0000000000..4231a5d46c
--- /dev/null
+++ b/network/cni-plugins/cni-plugins.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for cni-plugins
+
+# Copyright 2019 Gabriel Diaz, Madrid, Spain
+# Copyright 2019 Vincent Batts, Raleigh, NC, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cni-plugins
+REPONAME=plugins
+VERSION=${VERSION:-0.8.2}
+GIT_COMMIT="485be65581341430f9106a194a98f0f2412245fb"
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# The domain part of the go package name, usually the hosting platform
+DOMAIN=github.com
+# The name of the organization/owner of the package
+ORG=containernetworking
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $REPONAME-$VERSION
+mkdir -p $REPONAME-$VERSION/src/$DOMAIN/$ORG
+cd $REPONAME-$VERSION/src/$DOMAIN/$ORG
+tar xvf $CWD/$REPONAME-$VERSION.tar.gz
+mv $REPONAME-$VERSION $REPONAME
+cd $REPONAME
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Point go to the location of the source tree
+export GOPATH="$TMP/$REPONAME-$VERSION"
+REPO_PATH=$TMP/$REPONAME-$VERSION/src/$DOMAIN/$ORG/$REPONAME
+sudo mkdir -p $PKG/usr/libexec/cni
+
+PLUGINS="plugins/meta/* plugins/main/* plugins/ipam/*"
+for d in $PLUGINS; do
+ if [ -d "$d" ]; then
+ plugin="$(basename "$d")"
+ if [ $plugin != "windows" ]; then
+ echo " $plugin"
+ go build -o "$PKG/usr/libexec/cni/$plugin" "$@" "$REPO_PATH"/$d
+ fi
+ fi
+done
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/cni-plugins/cni-plugins.info b/network/cni-plugins/cni-plugins.info
new file mode 100644
index 0000000000..19b1651015
--- /dev/null
+++ b/network/cni-plugins/cni-plugins.info
@@ -0,0 +1,10 @@
+PRGNAM="cni-plugins"
+VERSION="0.8.2"
+HOMEPAGE="https://github.com/containernetworking/plugins"
+DOWNLOAD="https://github.com/containernetworking/plugins/archive/v0.8.2/plugins-0.8.2.tar.gz"
+MD5SUM="21c39de98441e7874bb9cfd4921801af"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="google-go-lang"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
diff --git a/network/cni-plugins/slack-desc b/network/cni-plugins/slack-desc
new file mode 100644
index 0000000000..6a7714819c
--- /dev/null
+++ b/network/cni-plugins/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cni-plugins: cni-plugins (plugins for Container Networking Interface)
+cni-plugins:
+cni-plugins: Container networking plugins for baseline functionality.
+cni-plugins:
+cni-plugins: Site: https://github.com/containernetworking/plugins
+cni-plugins:
+cni-plugins:
+cni-plugins:
+cni-plugins:
+cni-plugins: